ElemEdgePathMethod Class

class NXOpen.CAE.ElemEdgePathMethod

Bases: NXOpen.SelectionMethod

Represents a NXOpen.CAE.ElemEdgePathMethod.

The edge path selection builder is used by other builders to define a start point (NXOpen.CAE.FENode) and a path defined by connected CAE edges (NXOpen.CAE.FEElemEdge). The path is defined by adding seed edges which are each defined by a start point (NXOpen.CAE.FENode) and a an edge (NXOpen.CAE.FEElemEdge). The path object uses these seeds as input to an algorithm which will determine the complete, coninuous, path. If the resultant path is not the one desired, this indicates that too few seeds were specified. The path class does not allow a curve to be used more than once in a path. Calling NXOpen.CAE.ElemEdgePathMethod.FlipPath() will flip the direction of the path definition, such that subsequent calls to NXOpen.CAE.ElemEdgePathMethod.GetSeedEdges() or NXOpen.CAE.ElemEdgePathMethod.GetPathEdges() will return seed or path edges in the new, flipped, order along with correspondingly updated start vertices.

To obtain an instance of this class use CAE::SmartSelectionManager

New in version NX9.0.0.

Methods

Method Description
AddSeedEdge Add seed (start vertex and edge) to the end of the path.
Dispose Frees the object from memory.
FlipPath Flip the path start and end.
GetPathEdges Returns the resultant start vertics and edges of the path.
GetSeedEdges Returns the seed start vertices and edges which define the path.
GetSeeds Returns the seed start vertices and edges which define the path.
GetSelectedObjects Returns the objects selected by this NXOpen.SelectionMethod.
RemoveSeedEdge Remove seed (start vertex and edge) from the path.

Method Detail

AddSeedEdge

ElemEdgePathMethod.AddSeedEdge

Overloaded method AddSeedEdge

  • AddSeedEdge(seedStartNode, seedElemEdge)
  • AddSeedEdge(seedStartNode, seedElemEdge, preferFreeEdges, preferGeometryAssociatedEdges, preferFeatureElementEdge, featureAngleTolerance, allowGapJumping, gapJumpingTolerance)

-------------------------------------

Add seed (start vertex and edge) to the end of the path. The vertex defines the start point along the edge. If the addition of the seed would result in an invalid path, the seed will not be added and the function will return an error.

Signature AddSeedEdge(seedStartNode, seedElemEdge)

Parameters:

New in version NX9.0.0.

Deprecated since version NX10.0.0: Use overloaded NXOpen.CAE.ElemEdgePathMethod.AddSeedEdge() with additional arguments instead.

License requirements: None.

-------------------------------------

Add seed (start vertex and edge) to the end of the path. The vertex defines the start point along the edge. If the addition of the seed would result in an invalid path, the seed will not be added and the function will return an error.

Signature AddSeedEdge(seedStartNode, seedElemEdge, preferFreeEdges, preferGeometryAssociatedEdges, preferFeatureElementEdge, featureAngleTolerance, allowGapJumping, gapJumpingTolerance)

Parameters:
  • seedStartNode (NXOpen.CAE.FENode) – seed node
  • seedElemEdge (NXOpen.CAE.FEElemEdge) – seed element edge
  • preferFreeEdges (bool) – if true, prefer free element edges
  • preferGeometryAssociatedEdges (bool) – if true, prefer geometry associated element edges
  • preferFeatureElementEdge (bool) – if true, prefer feature element edges
  • featureAngleTolerance (float) – if preferFeatureElementEdge is true, this is the feature angle tolerance to use
  • allowGapJumping (bool) – if true, gaps between element edges will be jumped
  • gapJumpingTolerance (float) –

New in version NX10.0.0.

License requirements: None.

-------------------------------------

FlipPath

ElemEdgePathMethod.FlipPath

Flip the path start and end.

This changes the definition of the path such that subsequent calls to NXOpen.CAE.ElemEdgePathMethod.GetSeedEdges() or NXOpen.CAE.ElemEdgePathMethod.GetPathEdges() will return seed or path edges in the new, flipped, order along with correspondingly updated start vertices.

Signature FlipPath()

New in version NX9.0.0.

License requirements: None.

GetPathEdges

ElemEdgePathMethod.GetPathEdges

Returns the resultant start vertics and edges of the path.

These define a path which is continuous from start to end.

Signature GetPathEdges()

Returns:a tuple
Return type:A tuple consisting of (pathStartNodes, pathElemEdges). pathStartNodes is a list of NXOpen.CAE.FENode. resultant start vertices pathElemEdges is a list of NXOpen.CAE.FEElemEdge. resultant element edges

New in version NX9.0.0.

License requirements: None.

GetSeedEdges

ElemEdgePathMethod.GetSeedEdges

Returns the seed start vertices and edges which define the path.

The path object uses these seeds as input to an algorithm which will determine the complete, coninuous, path.

Signature GetSeedEdges()

Returns:a tuple
Return type:A tuple consisting of (seedStartNodes, seedElemEdges). seedStartNodes is a list of NXOpen.CAE.FENode. seed start vertices seedElemEdges is a list of NXOpen.CAE.FEElemEdge. seed element edges

New in version NX9.0.0.

Deprecated since version NX10.0.0: Use NXOpen.CAE.ElemEdgePathMethod.GetSeeds() instead.

License requirements: None.

GetSeeds

ElemEdgePathMethod.GetSeeds

Returns the seed start vertices and edges which define the path.

The path object uses these seeds as input to an algorithm which will determine the complete, coninuous, path. Each seed also specifies the options used by the path algorithm for that segment of the path.

Signature GetSeeds()

Returns:a tuple
Return type:A tuple consisting of (seedStartNodes, seedElemEdges, preferFreeEdges, preferGeometryAssociatedEdges, preferFeatureElementEdge, featureAngleTolerance, allowGapJumping, gapJumpingTolerance). seedStartNodes is a list of NXOpen.CAE.FENode. seed start vertices seedElemEdges is a list of NXOpen.CAE.FEElemEdge. seed element edges preferFreeEdges is a list of bool. if true, prefer free element edgespreferGeometryAssociatedEdges is a list of bool. if true, prefer geometry associated element edgespreferFeatureElementEdge is a list of bool. if true, prefer feature element edgesfeatureAngleTolerance is a list of float. if preferFeatureElementEdge is true, this is the feature angle tolerance to useallowGapJumping is a list of bool. if true, gaps between element edges will be jumpedgapJumpingTolerance is a list of float. if allowGapJumping is true, this is the tolerance to use for jumping gaps between element edges

New in version NX10.0.0.

License requirements: None.

RemoveSeedEdge

ElemEdgePathMethod.RemoveSeedEdge

Remove seed (start vertex and edge) from the path.

If the removal of the seed would result in an invalid path, the seed will not be added and the function will return an error.

Signature RemoveSeedEdge(seedElemEdge)

Parameters:seedElemEdge (NXOpen.CAE.FEElemEdge) – seed element edge

New in version NX9.0.0.

License requirements: None.